/*
 * Copyright 2004-2010 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.framework.util;


/**
 * キーで大文字小文字を気にしない {@link ArrayMap}です。
 * 
 * @param <K>
 *            キーの型
 * @param <V>
 *            値の型
 * 
 * @author higa
 */
public class CaseInsensitiveMap<V> extends
        org.seasar.util.collection.CaseInsensitiveMap<V> {

    private static final long serialVersionUID = 1L;

    /**
     * {@link CaseInsensitiveMap}を作成します。
     */
    public CaseInsensitiveMap() {
        super();
    }

    /**
     * {@link CaseInsensitiveMap}を作成します。
     * 
     * @param capacity
     */
    public CaseInsensitiveMap(int capacity) {
        super(capacity);
    }

}
