/*
 * Copyright 2004-2010 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.framework.util;

import java.io.Serializable;
import java.util.Collection;
import java.util.Set;

/**
 * 大文字小文字を気にしない {@link Set}です。
 * 
 * @author higa
 * 
 */
public class CaseInsensitiveSet extends
        org.seasar.util.collection.CaseInsensitiveSet implements Set<String>,
        Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * {@link CaseInsensitiveSet}を作成します。
     */
    public CaseInsensitiveSet() {
        super();
    }

    /**
     * {@link CaseInsensitiveSet}を作成します。
     * 
     * @param c
     */
    public CaseInsensitiveSet(Collection<String> c) {
        super(c);
    }

    /**
     * {@link CaseInsensitiveSet}を作成します。
     * 
     * @param initialCapacity
     */
    public CaseInsensitiveSet(int initialCapacity) {
        super(initialCapacity);
    }
}
